com.oracle.truffle.api.nodes

## Class InvalidAssumptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.oracle.truffle.api.nodes.SlowPathException
      - - com.oracle.truffle.api.nodes.InvalidAssumptionException

All Implemented Interfaces:
  java.io.Serializable

    public final class InvalidAssumptionException
    extends SlowPathException

An exception that should be thrown if an assumption is checked and the check fails. The Truffle optimizer has special knowledge of this exception class and will never compile a catch block that catches this exception type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidAssumptionException()`

### Method Summary

### Methods inherited from class com.oracle.truffle.api.nodes.SlowPathException

`fillInStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidAssumptionException

    public InvalidAssumptionException()